P3 Firmware version 1.3.20 & lower

Joined
Jan 24, 2017
Messages
482
Reaction score
135
Age
65
Location
Michigan
I can't locate the archived version 1.3.20 on the Phantom help archive list.

Important: If you're currently using a firmware version older than 1.3.20, then you must install 1.3.20 first before installing a newer version of the firmware. 1.3.20 needs to be installed on your remote controller and batteries.

The remote is running an older version (1.2.6) but the AC is a later version (1.10.90) Will I still have to install 1.3.20 on batteries?
I'm trying to update a P3P GL 300A RC
 

Oso

Joined
May 19, 2015
Messages
4,191
Reaction score
2,923
Location
Western US
I can't locate the archived version 1.3.20 on the Phantom help archive list.

Important: If you're currently using a firmware version older than 1.3.20, then you must install 1.3.20 first before installing a newer version of the firmware. 1.3.20 needs to be installed on your remote controller and batteries.

The remote is running an older version (1.2.6) but the AC is a later version (1.10.90) Will I still have to install 1.3.20 on batteries?
I'm trying to update a P3P GL 300A RC
DJI has historically maintained an archive of FW versions on their site even though they don't always show links to them. For archived FW versions directly from DJI, follow the links in this post.

If I recall correctly, after FW v1.3.2 was installed the 300A RC also needed FW v1.4.1 installed via the old USB stick method before it switched over to updating via the app for anything higher than that. Once the 300B and 300C RCs had v1.3.2, from then on they already updated via the app for v1.4.1 and onward.
 
Last edited:
  • Like
Reactions: Phantom2USA
Joined
Jan 24, 2017
Messages
482
Reaction score
135
Age
65
Location
Michigan
DJI has historically maintained an archive of FW versions on their site even though they don't always show links to them. For archived FW versions directly from DJI, follow the links in this post.

If I recall correctly, after FW v1.3.2 was installed the 300A RC also needed FW v1.4.1 installed via the old USB stick method before it switched over to updating via the app for anything higher than that. Once the 300B and 300C RCs had v1.3.2, from then on they already updated via the app for v1.4.1 and onward.
DJI has historically maintained an archive of FW versions on their site even though they don't always show links to them. For archived FW versions directly from DJI, follow the links in this post.

If I recall correctly, after FW v1.3.2 was installed the 300A RC also needed FW v1.4.1 installed via the old USB stick method before it switched over to updating via the app for anything higher than that. Once the 300B and 300C RCs had v1.3.2, from then on they already updated via the app for v1.4.1 and onward.
is v1.03.2 another way of printing 1.3.20 ?
yes it looks like it'll be the usb stick method x 2 then onward thru the app.
Thanks..
 

msinger

Approved Vendor
Joined
Oct 30, 2014
Messages
30,398
Reaction score
9,922
Location
Harrisburg, PA (US)
Website
www.PhantomHelp.com
Last edited:
  • Like
Reactions: Phantom2USA
Joined
Jan 24, 2017
Messages
482
Reaction score
135
Age
65
Location
Michigan
Joined
Jan 24, 2017
Messages
482
Reaction score
135
Age
65
Location
Michigan
Yes. I have that firmware linked here.
I don't see the version that's on my GL300C (1.8.0) did I not copy the version correctly off my "about" screen or is it elsewhere?
 

Oso

Joined
May 19, 2015
Messages
4,191
Reaction score
2,923
Location
Western US
I don't see the version that's on my GL300C (1.8.0) did I not copy the version correctly off my "about" screen or is it elsewhere?
RC's at that FW level are updated via the app and not a downloadable file. RC and AC FW version numbers diverged shortly after the switch to app updating for the RC.
There's more info here.
 
  • Like
Reactions: Phantom2USA
Joined
Jan 24, 2017
Messages
482
Reaction score
135
Age
65
Location
Michigan
RC's at that FW level are updated via the app and not a downloadable file. RC and AC FW version numbers diverged shortly after the switch to app updating for the RC.
There's more info here.
I guess I'm wondering IF I can stop at the 1.8.0 Version mark...knowing that it would match my other GL300C RC or will it automatically take it to the latest update point.
Thanks
 

New Threads

Forum statistics

Threads
133,051
Messages
1,378,358
Members
97,145
Latest member
Welcome_Pilot_Eric